| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
Synth.ino File Reference

Go to the source code of this file.

## Functions
LiquidCrystal | lcd (RS, E, D4, D5, D6, D7)
static void | setup ()
static void | loop ()
static int8_t | read_switches ()
static void | loop_design ()
static void | store_settings ()
static void | restore_settings ()
| Read stored PLL settings from nonvolatile EEPROM on demo board. More...
static void | write_all ()
| Write all registers for the LTC6946 and displays them. More...

## Variables
const int16_t | RS = 8
const int16_t | E = 9
const int16_t | D4 = 4
const int16_t | D5 = 5
const int16_t | D6 = 6
const int16_t | D7 = 7
const int16_t | BUTTON_PIN = 0
const int8_t | UP = 1
const int8_t | DOWN = 2
const int8_t | LEFT = 3
const int8_t | RIGHT = 4
const int8_t | SELECT = 5
static uint8_t | REG [12]
| Register values to be written to read from. More...
static int8_t | demo_board_connected
| Demo Board Name stored in QuikEval EEPROM. More...
char | demo_name [] = "DC1705"
| Demo Board Name stored in QuikEval EEPROM. More...
static int16_t | pos = 5
static int8_t | MHz [6] = {0, 0, 0, 0, 0, 1}

## Function Documentation

## ◆ lcd()

LiquidCrystal lcd | ( | RS | ,
|  | E | ,
|  | D4 | ,
|  | D5 | ,
|  | D6 | ,
|  | D7 |
| ) |  |

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 109 of file Synth.ino.

## ◆ loop_design()

static void loop_design | ( |  | ) |
| static

Definition at line 199 of file Synth.ino.

## ◆ read_switches()

static int8_t read_switches | ( |  | ) |
| static

Definition at line 181 of file Synth.ino.

## ◆ restore_settings()

static void restore_settings | ( |  | ) |
| static

Read stored PLL settings from nonvolatile EEPROM on demo board.

Definition at line 381 of file Synth.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 75 of file Synth.ino.

## ◆ store_settings()

static void store_settings | ( |  | ) |
| static

Definition at line 370 of file Synth.ino.

## ◆ write_all()

static void write_all | ( |  | ) |
| static

Write all registers for the LTC6946 and displays them.

Definition at line 413 of file Synth.ino.

## Variable Documentation

## ◆ BUTTON_PIN

const int16_t BUTTON_PIN = 0

Definition at line 58 of file Synth.ino.

## ◆ D4

const int16_t D4 = 4

Definition at line 54 of file Synth.ino.

## ◆ D5

const int16_t D5 = 5

Definition at line 55 of file Synth.ino.

## ◆ D6

const int16_t D6 = 6

Definition at line 56 of file Synth.ino.

## ◆ D7

const int16_t D7 = 7

Definition at line 57 of file Synth.ino.

## ◆ demo_board_connected

int8_t demo_board_connected
| static

Demo Board Name stored in QuikEval EEPROM.

Definition at line 66 of file Synth.ino.

## ◆ demo_name

char demo_name[] = "DC1705"

Demo Board Name stored in QuikEval EEPROM.

Definition at line 67 of file Synth.ino.

## ◆ DOWN

const int8_t DOWN = 2

Definition at line 60 of file Synth.ino.

## ◆ E

const int16_t E = 9

Definition at line 53 of file Synth.ino.

## ◆ LEFT

const int8_t LEFT = 3

Definition at line 61 of file Synth.ino.

## ◆ MHz

int8_t MHz[6] = {0, 0, 0, 0, 0, 1}
| static

Definition at line 70 of file Synth.ino.

## ◆ pos

int16_t pos = 5
| static

Definition at line 69 of file Synth.ino.

## ◆ REG

uint8_t REG[12]
| static

Register values to be written to read from.

Definition at line 65 of file Synth.ino.

## ◆ RIGHT

const int8_t RIGHT = 4

Definition at line 62 of file Synth.ino.

## ◆ RS

const int16_t RS = 8

Definition at line 52 of file Synth.ino.

## ◆ SELECT

const int8_t SELECT = 5

Definition at line 63 of file Synth.ino.

## ◆ UP

const int8_t UP = 1

Definition at line 59 of file Synth.ino.